Subject: Re: linux-next: manual merge of the sound-asoc tree with the crypto tree

From: Mark Brown <[email-masked]>
Date: Tue, 12 May 2020 17:22:05 +0100

On Tue, May 12, 2020 at 02:49:49PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the sound-asoc tree got a conflict in:
> 
>   sound/soc/codecs/cros_ec_codec.c
> 
> between commit:
> 
>   85fc78b80f15 ("ASoC: cros_ec_codec: use crypto_shash_tfm_digest()")
> 

Oh, this is the first I've heard of that patch :(

> from the crypto tree and commit:

>   a1304cba816e ("ASoC: cros_ec_codec: allocate shash_desc dynamically")

> from the sound-asoc tree.

> I fixed it up (I just used the former) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

That doesn't seem ideal - Eric, Herbert can we get a branch with the
crypto patches in them to pull into the ASoC tree or something?